/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


body,
html {
	font-smoothing: antialiased;
	-webkit-font-smoothing: antialiased;
	-moz-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	text-rendering: optimizeLegibility;
}
.hidden {
	display: none !important;
	visibility: hidden !important;
}
.d-none {
    display: none !important;
    visibility: hidden !important;
}


/*  HEADER  */
.site-header {
	display: none;
	visibility: hidden;
}




/*   */
.home.page-template .site.grid-container .site-content {
    padding: 0;
}
#post-118 > div > div,
.home.page-template .site.grid-container .site-content .status-publish .inside-article > .entry-content {
    margin-top: 0;
}
.first-section .first-column .bt_bb_column_content_inner {
	padding: 5rem 5%;
}
.grecaptcha-badge {
    display: none !important;
    visibility: hidden !important;
}






#btn-vr svg {
    width: 50px;
}








/*  TABLASS  */
.table-wp thead th {
    color: #fff;
    background-color: #949494;
}
.table-wp tbody td,
.table2-wp tbody td{
    color: #222;
}
.table2-wp {
    width: 100%;
    /* background-color: pink; */
    min-width: 200px;
}
.table2-wp thead th  {
    background-color: #949494;
    color: #fff;
}
.table2-wp tbody td:nth-child(2) {
    color: red;
}


















/* PROYECTOS CON BOTON */
.elementor-element.e-con-full.e-child .elementor-widget-button.btn-view a.elementor-button {
    cursor: pointer;
}
.bt_bb_row_wrapper .proyecto-botones {
	margin-bottom: 1rem;
	align-content: center;
	align-items: center;
}
.bt_bb_row_wrapper .proyecto-botones .proyecto-botones-inner-column {
	margin-bottom: 1.55rem;
}
.bt_bb_row_wrapper .proyecto-botones h3 {
	font-size: 1.15rem;
	font-weight: 500;
	margin: 0 0 0.9rem;
	padding: 0;
}
.bt_bb_row_wrapper .proyecto-botones a.bt_bb_link {
	display: flex;
	padding: 0.5rem 1rem;
	margin: 0;
	align-items: center;
	justify-content: center;
	border-radius: 50px;
	font-size: 0.7rem;
}
.bt_bb_row_wrapper .proyecto-botones .bt_bb_button {
	margin-bottom: 0.75rem;
}
.bt_bb_row_wrapper .proyecto-botones a.bt_bb_link span.bt_bb_icon_holder {
	
}
.bt_bb_row_wrapper .proyecto-botones a.bt_bb_link:hover {
	background: #d80000;
	box-shadow: none;
}
.bt_bb_row_wrapper .proyecto-botones a.bt_bb_link:hover span.bt_bb_icon_holder {
	color: white;
}

@media screen and (max-width: 768px) {
	.bt_bb_row_wrapper .proyecto-botones .proyecto-botones-inner-column {
		margin-bottom: 3rem;
	}
	
	.wp-botones .elementor-widget-button .elementor-button.elementor-button-link {
	    font-size: 11px;
	    padding: 10px 10px;
	}
	.wp-botones .elementor-widget-button .elementor-button-content-wrapper .elementor-button-icon {
	    margin-right: 5px !important;
	}
}
@media screen and (max-width: 361px) {
	.wp-botones .elementor-widget-button .elementor-button.elementor-button-link {
	    font-size: 10px;
	    padding: 10px 10px;
	}
	.title-form h3.elementor-heading-title {
	    font-size: 1.5rem !important;
	}
}

.wp-botones.wp-proyectos {
    overflow: hidden;
    overflow-x: auto;
    width: 100%;
    padding-left: 2rem;
    padding-right: 2rem;
    margin: 0;
}
.wp-botones.wp-proyectos .e-con-inner {
    display: flex;
    justify-content: flex-start !important;
    align-items: flex-start !important;
    gap: 2rem;
    flex-flow: row nowrap  !important;
    width: calc( ( 15rem * 6 ) + 14rem );
    min-width: calc( ( 15rem * 6 ) + 14rem );
    max-width: calc( ( 15rem * 6 ) + 14rem );
    padding-left: 2rem;
    padding-right: 2rem;
}
.wp-botones.wp-proyectos .e-con-inner > div {
    min-width: 15rem;
    width: 15rem;
}

@media screen and (max-width: 1024px) {
    .wp-botones.wp-proyectos .e-con-inner > div {
        width: 15rem;
    }
    .wp-botones.wp-proyectos .e-con-inner {
        padding-left: 0;
        padding-right: 0;
    }
}
















/* LATERAL */

.bt_bb_content_wide .bt_bb_row .columna-proyectos {
	background-color: #f1f1f1;
	padding-top: 1.5rem !important;
	padding-bottom: 1.5rem !important;
}
.bt_bb_content_wide .bt_bb_row .columna-proyectos h3 {
	font-size: 1.4rem;
	font-weight: 500;
}
.bt_bb_content_wide .bt_bb_row .columna-proyectos .bt_bb_service {
	margin-bottom: 0.9rem;
	align-items: center;
}
.bt_bb_content_wide .bt_bb_row .columna-proyectos .bt_bb_service .bt_bb_service_content {
	padding-left: 0.5rem;
	position: relative;
}
.bt_bb_content_wide .bt_bb_row .columna-proyectos .bt_bb_service .bt_bb_service_content_title {
	color: #333;
	font-size: 0.85rem;
	font-weight: 500;
}
.bt_bb_content_wide .bt_bb_row .columna-proyectos .bt_bb_service .bt_bb_service_content_text {
	color: #222;
	display: none;
    background: white;
    padding: 0.25rem 0.5rem;
    text-align: center;
    border-radius: 50px;
    width: auto;
    max-width: fit-content;
    font-size: 0.8rem;
    font-weight: 600;
    position: absolute;
    top: 0;
    left: 0;
    margin: -19px 0 0 -10px;
    filter: drop-shadow(0px 3px 3px rgba(0,0,0,0.4));
}
.bt_bb_content_wide .bt_bb_row .columna-proyectos .columna-proyectos-propiedad:hover  .bt_bb_service_content_text {
	display: block;
}

@media screen and (max-width: 768px) {
	.bt_bb_content_wide .bt_bb_row .columna-proyectos {
		margin-bottom: 4rem;
		order: -1;
	}
}






.bt_bb_content_wide .bt_bb_row .columna-proyectos .bt_bb_service.bt_bb_style_filled .bt_bb_icon_holder {
	background-color: transparent;
	border: 0;
	box-shadow: none;
	vertical-align: middle;
	width: 1.5rem;
	height: 1.5rem;
	line-height: 1.1;
	font-size: 1.4rem;
}

.bt_bb_content_wide .bt_bb_row .columna-proyectos .bt_bb_service .bt_bb_icon_holder[data-ico-fa5_solid] {
	color: #00ce00;
}
.bt_bb_content_wide .bt_bb_row .columna-proyectos .bt_bb_service .bt_bb_icon_holder[data-ico-fa] {
	color: #e5af00;
}
.bt_bb_content_wide .bt_bb_row .columna-proyectos .bt_bb_service .bt_bb_icon_holder[data-ico-fa5_regular] {
	color: #d80000;
}













/*  FORMULARIO  */
.form-wp {
    position: relative;
    width: 100%;
    display: block;
    margin: 0;
    padding: 0 2rem 1rem;
}
.form-wp .row {
    display: flex;
    width: 100%;
    position: relative;
    align-items: flex-start;
    justify-content: flex-start;
    flex-flow: row wrap;
    gap: 1.5rem 2rem;
}
.form-wp .row .col {
    display: block;
    flex-basis: calc( (100% - 2rem) / 2 );
    width: 100%;
}
.form-wp .row .col p {
    margin: 0;
    padding: 0;
    width: 100%;
    max-width: 100%;
    display: block;
}
.form-wp .row .col p label {
    font-size: 0.8rem;
    margin: 0;
    padding: 0;
    line-height: 1;
}
.form-wp .row .col p span.wpcf7-form-control-wrap {
    display: block;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    margin: 0;
    padding: 0;
    max-width: 100%;
}
.form-wp .row .col p span.wpcf7-form-control-wrap input {
    width: 100%;
    max-width: 100%;
    display: block;
    margin: 0;
    padding: 0.5rem 0.5rem;
    font-size: 0.9rem;
    font-weight: 600;
}
.form-wp .wpcf7-not-valid-tip {
    font-size: 0.8rem;
    line-height: 1.1em;
    position: absolute;
    margin: 3px 0 0 7px;
}
.wpcf7 form .wpcf7-response-output {
	margin: 2em 0.5em 1em;
}
.wpcf7 form.invalid .wpcf7-response-output {
	background-color: red;
	border: 0;
	color: white;
	font-size: 0.9rem;
	padding: 0.85rem 1.25rem;
}
.wpcf7 form.sent .wpcf7-response-output {
	background-color: #46b450;
	border: 0;
	color: white;
	font-size: 1rem;
	padding: 0.85rem 1.25rem;
}
.form-wp .row.submit {
	margin-top: 2rem;
}

@media screen and (max-width: 768px) {
	.form-wp {
		padding: 0 0rem 2rem;
		margin-bottom: 7rem;
	}
	.form-wp .row {
		gap: 1.5rem 2rem;
	}
	.form-wp .row .col {
		flex-basis: 100%;
	}
}
























